LINK_FLAGS=-lm -lpthread -ldl -lm -lGLEW -lEGL -lGL -lGLU -lOpenGL -lglfw -lfreetype

CFLAGS=-I./include -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -Iimgui -pthread

.PHONY: hexnando
hexnando: main.cpp
	g++ -std=c++20 -Wall -g -Wextra -pedantic -Werror main.cpp ${LINK_FLAGS} ${CFLAGS} -o hexnando
